Page MenuHomePhabricator

Create: indic-wscontest tool
Closed, ResolvedPublic

Description

This is subtask to track the development of the tool.

  • Create tool on the tooladmin (indic-wscontest)
  • Request the Gerrit repo (labs/tools/indic-wscontest)
  • Create basic route structure
  • Add flake8 support
  • Add OAuth support
  • Add JSON support to store data (Migrate to MySQL in future)
  • Write Script to update the stats
  • Cronjob
  • Run webservice

Event Timeline

For sake of dev note, I have developed python pywikisource library during Wikimania-Hackathon-2019. I will use it as backend for stats.

Change 560980 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[labs/tools/indic-wscontest@master] Add basic route structure

https://gerrit.wikimedia.org/r/560980

Change 560980 merged by Jayprakash12345:
[labs/tools/indic-wscontest@master] Add basic route structure

https://gerrit.wikimedia.org/r/560980

Change 560981 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[labs/tools/indic-wscontest@master] Add tox.ini for flake8 test

https://gerrit.wikimedia.org/r/560981

Change 560982 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[integration/config@master] Register indic-wscontest for tox-docker tests

https://gerrit.wikimedia.org/r/560982

Change 561102 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[labs/tools/indic-wscontest@master] Add OAuth support

https://gerrit.wikimedia.org/r/561102

Change 560982 merged by jenkins-bot:
[integration/config@master] layout: [labs/tools/indic-wscontest] Provide CI with tox-docker

https://gerrit.wikimedia.org/r/560982

Mentioned in SAL (#wikimedia-releng) [2020-01-06T17:05:33Z] <James_F> Zuul: [labs/tools/indic-wscontest] Provide CI with tox-docker T241537

Change 560981 merged by jenkins-bot:
[labs/tools/indic-wscontest@master] Add tox.ini for flake8 test

https://gerrit.wikimedia.org/r/560981

Change 561102 merged by jenkins-bot:
[labs/tools/indic-wscontest@master] Add OAuth support

https://gerrit.wikimedia.org/r/561102

Jayprakash12345 triaged this task as Medium priority.Jan 11 2020, 9:25 AM

Change 567126 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[labs/tools/indic-wscontest@master] Add JSON support to store data

https://gerrit.wikimedia.org/r/567126

Change 567126 merged by jenkins-bot:
[labs/tools/indic-wscontest@master] Add JSON support to store data

https://gerrit.wikimedia.org/r/567126

Change 567151 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[labs/tools/indic-wscontest@master] Added stats.py and cronStats.sh

https://gerrit.wikimedia.org/r/567151

Change 567151 merged by jenkins-bot:
[labs/tools/indic-wscontest@master] Added stats.py and cronStats.sh

https://gerrit.wikimedia.org/r/567151

Mentioned in SAL (#wikimedia-cloud) [2020-01-24T23:13:07Z] <Jayprakash12345> Starting webservice (T241537)

Jayprakash12345 closed this task as Resolved.Jan 24 2020, 11:19 PM

@Wikilover90 Tool is live here https://tools.wmflabs.org/indic-wscontest/. Please don't use this for any contest right now. we will be test it for 1 week. then you can use it. I will be happy if you help us with testing.

Making resolved as a workable tool has been created. For further improvement please create a new task.